[package]
name = "gox"
version = "0.1.0"
edition = "2024"

[profile.release]
lto = "fat"
panic = "abort"
strip = true

[lib]
crate-type = ["staticlib"]

[dependencies]
biome_js_factory = "=0.5.7" 
biome_js_formatter = "=0.5.7" 
biome_js_parser = "=0.5.7" 
biome_js_syntax = "=0.5.7" 
biome_css_factory = "=0.5.7" 
biome_css_formatter = "=0.5.7" 
biome_css_parser = "=0.5.7" 
biome_css_syntax = "=0.5.7" 
biome_parser = "=0.5.7" 
biome_formatter = "=0.5.7" 
biome_rowan = "=0.5.7" 


topiary-core = "0.7.2"
topiary-tree-sitter-facade = "0.7.2"
tree-sitter-gox = { git = "https://github.com/doors-dev/tree-sitter-gox", tag = "v0.1.0" }
streaming-iterator = "0.1.9"
tree-sitter = "^0.25"


